#include <Wire.h>
#include <I2C_RTC.h>

static DS3231 RTC;

void setup()
{
  Serial.begin(9600);
  RTC.begin();
  
  //RTC.setHourMode(CLOCK_H12);
  RTC.setHourMode(CLOCK_H24);
  
  DateTime A1, A2;
  
  Serial.println();
  Serial.println("*** RTC DS3231 ***");
  Serial.print("Идет ли часы : ");
  if (RTC.isRunning())
    Serial.println("Да");
  else
    Serial.println("Нет. Время может быть неточным");
  Serial.print("Режим часов :");
  if (RTC.getHourMode() == CLOCK_H12)
    Serial.println("12 часов");
  else
    Serial.println("24 часа");

  //Будильники1

  A1 = RTC.getAlarm1();

  Serial.print("Время будильника 1 : ");
  Serial.print(A1.hours);
  Serial.print(":");
  Serial.print(A1.minutes);
  Serial.print(":");
  Serial.print(A1.seconds);
  if (RTC.getHourMode() == CLOCK_H12)
  {
    switch (RTC.getMeridiem())
    {
      case HOUR_AM :
        Serial.print(" AM");
        break;
      case HOUR_PM :
        Serial.print(" PM");
        break;
    }
  }
  Serial.println();

  //Статус срабатывания будильников

  Serial.print("Будильник 1 сработал : ");
  if (RTC.isAlarm1Tiggered())
    Serial.println("Да");
  else
    Serial.println("Нет");

  Serial.print("Будильник 2 сработал : ");
  if (RTC.isAlarm2Tiggered())
    Serial.println("Да");
  else
    Serial.println("Нет");
  
  Serial.print("Режим пина INT/SQW : ");
  if (RTC.getINTPinMode())
    Serial.println("Будильник");
  else
    Serial.println("SQW");

  //Значение компенсации старения
  Serial.print("Компенсация старения : "); 
  Serial.print(RTC.getAgingOffset());
  Serial.println();
  
  Serial.print("Температура RTC : "); 
  Serial.print(RTC.getTemp());
  Serial.print("'C");
  Serial.println();
  Serial.println();
}

void loop()
{

  switch (RTC.getWeek())
  {
    case 1:
      Serial.print("ПН");
      break;
    case 2:
      Serial.print("ВТ");
      break;
    case 3:
      Serial.print("СР");
      break;
    case 4:
      Serial.print("ЧТ");
      break;
    case 5:
      Serial.print("ПТ");
      break;
    case 6:
      Serial.print("СБ");
      break;
    case 7:
      Serial.print("ВС");
      break;
  }
  Serial.print(" ");
  Serial.print(RTC.getDay());
  Serial.print("-");
  Serial.print(RTC.getMonth());
  Serial.print("-");
  Serial.print(RTC.getYear());

  Serial.print(" ");

  Serial.print(RTC.getHours());
  Serial.print(":");
  Serial.print(RTC.getMinutes());
  Serial.print(":");
  Serial.print(RTC.getSeconds());
  if (RTC.getHourMode() == CLOCK_H12)
  {
    switch (RTC.getMeridiem())
    {
      case HOUR_AM :
        Serial.print(" AM");
        break;
      case HOUR_PM :
        Serial.print(" PM");
        break;
    }
  }
  Serial.println();
  delay(1000);
}
